Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class SubProcessNodeInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
              org.jbpm.workflow.instance.node.StateBasedNodeInstance
                  org.jbpm.workflow.instance.node.SubProcessNodeInstance

All Implemented Interfaces:
  Serializable, EventListener, NodeInstance, EventBasedNodeInstanceInterface

    public class SubProcessNodeInstance

extends StateBasedNodeInstance
implements EventListener

Runtime counterpart of a SubFlow node.

See Also:
  Serialized Form

Constructor Summary
`SubProcessNodeInstance()`

Method Summary
`void` | `addEventListeners()`
`void` | `cancel()`
`String[]` | `getEventTypes()` Returns the event types this event listener is interested in.
`String` | `getNodeName()` The name of the node this node instance refers to.
`long` | `getProcessInstanceId()`
`protected SubProcessNode` | `getSubProcessNode()`
`void` | `internalSetProcessInstanceId(long processInstanceId)`
`void` | `internalTrigger(NodeInstance from, String type)`
`void` | `processInstanceCompleted(ProcessInstance processInstance)`
`void` | `removeEventListeners()`
`void` | `signalEvent(String type, Object event)` Signals that an event has occurred.

Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`addTimerListener, createTimerInstance, getEventBasedNode, getTimerInstances, internalSetTimerInstances, triggerCompleted, triggerCompleted`

Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
`executeAction, getExtendedNode, triggerCompleted, triggerEvent`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`followConnection, getId, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, setId, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubProcessNodeInstance

    public SubProcessNodeInstance()

Method Detail

### getSubProcessNode

    protected SubProcessNode getSubProcessNode()

### internalTrigger

    public void internalTrigger(NodeInstance from,
                                String type)

  Overrides:
    `internalTrigger` in class `StateBasedNodeInstance`

### cancel

    public void cancel()

  Overrides:
    `cancel` in class `StateBasedNodeInstance`

### getProcessInstanceId

    public long getProcessInstanceId()

### internalSetProcessInstanceId

    public void internalSetProcessInstanceId(long processInstanceId)

### addEventListeners

    public void addEventListeners()

  Specified by:
    `addEventListeners` in interface `EventBasedNodeInstanceInterface`
  Overrides:
    `addEventListeners` in class `StateBasedNodeInstance`

### removeEventListeners

    public void removeEventListeners()

  Specified by:
    `removeEventListeners` in interface `EventBasedNodeInstanceInterface`
  Overrides:
    `removeEventListeners` in class `StateBasedNodeInstance`

### signalEvent

    public void signalEvent(String type,
                            Object event)

  Description copied from interface: `EventListener`
  Signals that an event has occurred. The type parameter defines which type of event and the event parameter can contain additional information related to the event.

  Specified by:
    `signalEvent` in interface `EventListener`
  Overrides:
    `signalEvent` in class `StateBasedNodeInstance`
  Parameters:
    `type` - the type of event
    `event` - the data associated with this event

### getEventTypes

    public String[] getEventTypes()

  Description copied from interface: `EventListener`
  Returns the event types this event listener is interested in. May return `null` if the event types are unknown.

  Specified by:
    `getEventTypes` in interface `EventListener`
  Overrides:
    `getEventTypes` in class `StateBasedNodeInstance`

### processInstanceCompleted

    public void processInstanceCompleted(ProcessInstance processInstance)

### getNodeName

    public String getNodeName()

  Description copied from interface: `NodeInstance`
  The name of the node this node instance refers to.

  Specified by:
    `getNodeName` in interface `NodeInstance`
  Overrides:
    `getNodeName` in class `NodeInstanceImpl`
  Returns:
    the name of the node this node instance refers to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.